commit:     db3693a0c8859d44f660770b297d548edf0f8732
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 29 22:08:00 2020 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sat Aug 29 22:09:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db3693a0

app-text/editorconfig-core-c: Bump to version 0.12.4

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-text/editorconfig-core-c/Manifest              |  1 +
 .../editorconfig-core-c-0.12.4.ebuild              | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/app-text/editorconfig-core-c/Manifest 
b/app-text/editorconfig-core-c/Manifest
index ac4ff6d578e..907a7628569 100644
--- a/app-text/editorconfig-core-c/Manifest
+++ b/app-text/editorconfig-core-c/Manifest
@@ -1,3 +1,4 @@
 DIST editorconfig-core-c-0.12.1.tar.gz 65369 BLAKE2B 
30296b64bd215a8b51d3b4d6146ce5eac13cb1a8ba8a25d0faabcc22989503d9d73bc138240b475eb7ea4eecd5f5bbbf347519b1696373daf55ffd27fc772f4c
 SHA512 
3517f7db84d632615ba651eeafab6730739b7bf01f4ea34fbca65f58463fbbcbabc101587b289a7922b55708453262c65569077c51087424d47d0676dc1db686
 DIST editorconfig-core-c-0.12.2.tar.gz 67002 BLAKE2B 
6b808366acc8d0a96fc47cb74d620a4028978d7114b4a64d6799527276442f1d39ba8d5611530f873c78b7c49893c5edecec84dcc6f2616ba2663cb36fa92d0d
 SHA512 
6ab3e4f7f95c83c0781064ca15bb70394bb947f9d4cd1348224f02e25c65021d14439b913775d7cfafb93476158799c34438fa548adf3c7ec6dbfd6f1052a046
 DIST editorconfig-core-c-0.12.3.tar.gz 67701 BLAKE2B 
d5e6310f770099f542eb81f4ca7ec975e74c49f481c4e8e07832a7f9fc0882e2cb65da5b4b18ad926786d7ac92c3deb6ac0a547188bd68d350143258796ad1b8
 SHA512 
4a17cd6317bd45f8b0131070165d852569d020f1cf74e72b44057b97672184b4992aee54aae6e3222c669fdce8bb6b1f3482235e6518acffcef05e1d74087e6e
+DIST editorconfig-core-c-0.12.4.tar.gz 72141 BLAKE2B 
bfbd7ab2eb3ac1c73d387447e16c0888b4dce1318f14f1a511cbf1e5c34aecb31921955fb51a6c07a8a991fb388995971ceed22b4e53c53b1c56fddbbcccfdfc
 SHA512 
e275d4f77fddd31717a588be15a67a630e693efbddc5e1cf7e9b116b1c1a700fa9bafc1322733aa73a009c78519e00083b151bbc4a5ad55128df2c7360f9a163

diff --git a/app-text/editorconfig-core-c/editorconfig-core-c-0.12.4.ebuild 
b/app-text/editorconfig-core-c/editorconfig-core-c-0.12.4.ebuild
new file mode 100644
index 00000000000..c79152307cf
--- /dev/null
+++ b/app-text/editorconfig-core-c/editorconfig-core-c-0.12.4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="EditorConfig core library written in C"
+HOMEPAGE="https://github.com/editorconfig/editorconfig-core-c/";
+SRC_URI="https://github.com/editorconfig/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="cli doc"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+DEPEND="dev-libs/libpcre2:="
+RDEPEND="${DEPEND}
+       cli? ( !dev-python/editorconfig-core-py[cli] )"
+
+src_prepare() {
+       # Don't install the static library.
+       sed -e '/install(TARGETS editorconfig_static/,+5d' -i 
src/lib/CMakeLists.txt || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       local -a mycmakeargs=(
+               -DBUILD_DOCUMENTATION=$(usex doc 'ON' 'OFF')
+               -DBUILD_STATICALLY_LINKED_EXE=OFF
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       use doc && local HTML_DOCS=( "${BUILD_DIR}"/doc/html/. )
+       cmake_src_install
+
+       if ! use cli; then
+               rm -r "${ED}/usr/bin" || die
+       fi
+}

Reply via email to